SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions

# sdh/sdhexception.h File Reference

Interface of the exception base class SDH::cSDHLibraryException and SDH::cMsg. More...

`#include <iostream>`
`#include <exception>`
`#include <stdarg.h>`
`#include <cstdio>`
`#include "sdhlibrary_settings.h"`
Include dependency graph for sdhexception.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | SDH::cMsg
| Class for short, fixed maximum length text messages. More...
class | SDH::cSDHLibraryException
| Base class for exceptions in the SDHLibrary-CPP. More...
class | SDH::cSDHErrorCommunication
| Derived exception class for exceptions related to communication between the SDHLibrary and the SDH. More...
## Namespaces
namespace | SDH
## Functions
std::ostream & | SDH::operator<< (std::ostream &stream, cMsg const &msg)
std::ostream & | SDH::operator<< (std::ostream &stream, cSDHLibraryException const &e)

## Detailed Description

Interface of the exception base class SDH::cSDHLibraryException and SDH::cMsg.

## General file information

Author:
  Dirk Osswald

Date:
  2007-02-22

## Copyright

Copyright (c) 2007 SCHUNK GmbH & Co. KG